<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD Xhtml 1.0 Transitional//EN" "http://www.w3.org/tr/xhtml1/Dtd/xhtml1-transitional.dtd">
<!--
 *************************************************************************
 * The contents of this file are subject to the Openbravo  Public  License
 * Version  1.1  (the  "License"),  being   the  Mozilla   Public  License
 * Version 1.1  with a permitted attribution clause; you may not  use this
 * file except in compliance with the License. You  may  obtain  a copy of
 * the License at http://www.openbravo.com/legal/license.html
 * Software distributed under the License  is  distributed  on  an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific  language  governing  rights  and  limitations
 * under the License.
 * The Original Code is Openbravo ERP.
 * The Initial Developer of the Original Code is Openbravo SLU
 * All portions are Copyright (C) 2001-2010 Openbravo SLU
 * All Rights Reserved.
 * Contributor(s):  ______________________________________.
 ************************************************************************
-->
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Generic Tree Report View</title>
    <link rel="shortcut icon" href="../../../../../web/images/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../../../../../web/skins/Default/Openbravo_ERP_250.css" id="paramCSS" />
    <script language="JavaScript" type="text/javascript" id="paramDirectory">
      var baseDirectory = "../../../../../web/";
      </script>
      <script language="JavaScript" src="../../../../../web/js/messages.js" type="text/javascript">
      </script>
      <script language="JavaScript" src="../utility/DynamicJS.js" type="text/javascript"></script>
      <script language="JavaScript" type="text/javascript" id="paramLanguage">
        var defaultLang = "en_US";
      </script>
      <script language="JavaScript" src="../../../../../web/js/shortcuts.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/utils.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/windowKeyboard.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/searchs.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/ajax.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/default/MessageBox.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/messages.js" type="text/javascript"></script>
      <script language="JavaScript" src="../utility/DynamicJS.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/jscalendar/calendar.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/jscalendar/lang/calendar-es.js" type="text/javascript" id="fieldCalendar"></script>
      <script language="JavaScript" src="../../../../../web/js/default/DateTextBox.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/dojoConfig.js" type="text/javascript"></script>
      <script language="JavaScript" src="../../../../../web/js/dojo/dojo.js" type="text/javascript"></script>
      <script type="text/javascript">
        dojo.hostenv.writeIncludes(); //makes debugging in Venkman possible
      </script>
<script language="JavaScript" type="text/javascript">
function onloadFunctions() {
}

function validate() {
  var frm=document.frmMain;
  if (frm.inpgtrTreeReportId.value==null || frm.inpgtrTreeReportId.value=="") {
	  setWindowElementFocus(frm.inpgtrTreeReportId);
      showJSMessage(7);
      return false;
    }
  var index = frm.inpgtrTreeReportId.selectedIndex;
  frm.reportName.value=frm.inpgtrTreeReportId.options[index].text;
  return true;
}
</script>
	<script language="JavaScript" type="text/javascript">
	function onLoadDo(){
		this.windowTables = new Array(
		  new windowTableId('client', 'buttonHTML')
		);
		setWindowTableParentElement();
		this.tabsTables = new Array(
		  new tabTableId('tdtopTabs')
		);
		setTabTableParentElement();
		enableShortcuts('edition');
		setBrowserAutoComplete(false);
		
		resizeArea();
		updateMenuIcon('buttonMenu');

		setWindowElementFocus('firstElement');
	}

	function onResizeDo(){
		resizeArea();
	}

	function imprimir()
	{
	    openServletNewWindow('PRINT_PDF', true, 'GenericTreeReportJR.html', 'GenericTreeReportJR', null, false, '700', '1000', true)
	    return true;
	}
	</script>
</head>
    <body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="onLoadDo();" onresize="onResizeDo();">
<form method="post" action="GenericTreeReportJR.html" name="frmMain" id="form" target="_self">
  <input type="hidden" name="Command"></input>
  <input type="hidden" name="reportName" id="reportName"></input>
  <table height="100%" border="0" cellpadding="0" cellspacing="0" id="main">
    <tr>
      <td valign="top" id="tdleftTabs"></td>
      <td valign="top">
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="Main_ContentPane_Left">
          <tr><td class="Main_NavBar_bg_left" id="tdleftSeparator"></td></tr>
          <tr><td class="Main_ToolBar_bg_left" valign="top"></td></tr>
          <tr><td class="Main_Client_bg_left"></td></tr>
          <tr><td class="Main_Bottom_bg_left"></td></tr>
        </table>
      </td>
      <td valign="top">
        <div class="Main_ContentPane_NavBar" id="tdtopButtons"></div>
        <div class="Main_ContentPane_ToolBar" id="paramToolBar"></div>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="Main_ContentPane_TabPane" id="tdtopTabs">
          <tr id="paramParentTabContainer"></tr>
          <tr id="paramMainTabContainer"></tr>
          <tr id="paramChildTabContainer"></tr>
        </table>
        <div class="Main_ContentPane_Client" style="overflow: auto; display: none;" id="client">
                <table class="dojoTabContainer" border="0" cellpadding="0" cellspacing="0" width="100%" summary="">
                  <tr>
                    <td>
                      <table class="dojoTabPaneWrapper" border="0" cellpadding="0" cellspacing="0" width="100%" summary="">
                        <tr>
                          <td>
                            <!-- MessageBox -->

                            <table cellpadding="0" cellspacing="0" id="messageBoxID" class="MessageBoxyy">
                              <tbody>
                              <tr class="MessageBox_TopMargin">
                                <td class="MessageBox_LeftMargin"></td>
                                <td></td>
                                <td class="MessageBox_RightMargin"></td>
                              </tr>
                              <tr>
                                <td class="MessageBox_LeftMargin"></td>
                                <td>

                                  <table cellpadding="0" cellspacing="0" class="MessageBox_Container">
                                    <tbody>
                                    <tr>
                                      <td class="MessageBox_LeftTrans">
                                        <table style="width: 100%; height: 100%" cellpadding="0" cellspacing="0">
                                          <tbody>
                                          <tr>
                                            <td class="MessageBox_TopLeft"></td>
                                          </tr>
                                          <tr>
                                            <td class="MessageBox_Left"></td>
                                          </tr>
                                          </tbody>
                                        </table>
                                      </td>
                                      <td class="MessageBox_bg">

                                        <table class="MessageBox_Top">
                                        <tbody>
                                          <tr>
                                            <td>
                                              <span>
                                              <table cellpadding="0" cellspacing="0" class="MessageBox_Body_ContentCell">
                                                <tbody>
                                                <tr>
                                                  <td class="MessageBox_Icon_ContentCell">
                                                    <div class="MessageBox_Icon"></div>
                                                  </td>
                                                  <td style="vertical-align: top;" id="messageBoxIDContent">
                                                    <span>
                                                      <div class="MessageBox_TextTitle" id="messageBoxIDTitle">
                                                        xxInfo: AccessTableWithNoView
                                                      </div>
                                                      <div class="MessageBox_TextDescription" id="messageBoxIDMessage">
                                                        xxThe current information is empty.
                                                      </div>
                                                      <div class="MessageBox_TextSeparator"></div>
                                                    </span>
                                                  </td>
                                                </tr>
                                                </tbody>
                                              </table>
                                              </span>
                                            </td>
                                          </tr>
                                          </tbody>
                                        </table>

                                      </td>
                                      <td class="MessageBox_RightTrans">
                                        <table style="width: 100%; height: 100%" cellpadding="0" cellspacing="0">
                                          <tbody>
                                          <tr>
                                            <td class="MessageBox_TopRight"></td>
                                          </tr>
                                          <tr>
                                            <td class="MessageBox_Right"></td>
                                          </tr>
                                          </tbody>
                                        </table>
                                      </td>
                                    </tr>
                                    <tr>
                                      <td rowspan="2" class="MessageBox_BottomLeft">
                                      </td>
                                      <td class="MessageBox_BottomTrans MessageBox_bg">
                                      </td>
                                      <td rowspan="2" class="MessageBox_BottomRight">
                                      </td>
                                    </tr>
                                    <tr>
                                      <td class="MessageBox_Bottom">
                                      </td>
                                    </tr>
                                    </tbody>
                                  </table>

                                </td>
                                <td class="MessageBox_RightMargin"></td>
                              </tr>
                              <tr class="MessageBox_BottomMargin">
                                <td class="MessageBox_LeftMargin"></td>
                                <td></td>
                                <td class="MessageBox_RightMargin"></td>
                              </tr>
                              </tbody>
                            </table>
                            <!-- USER CONTROLS -->
              <table class="Main_Client_TableEdition">
                <tr>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                  <td class="TableEdition_OneCell_width"></td>
                </tr>
                <tr>
                <td colspan="6">
                  <table class="FieldGroup" cellspacing="0" cellpadding="0" border="0">
                  <tbody>
                    <tr class="FieldGroup_TopMargin"/>
                    <tr>
                      <td class="FieldGroupTitle_Left"><img class="FieldGroupTitle_Left_bg" border="0" src="../../../../../web/images/blank.gif"/></td>
                      <td class="FieldGroupTitle">Primary Filters</td>
                      <td class="FieldGroupTitle_Right"><img class="FieldGroupTitle_Right_bg" border="0" src="../../../../../web/images/blank.gif"/></td>
                      <td class="FieldGroupContent"/>
                    </tr>
                    <tr class="FieldGroup_BottomMargin"/>
                  </tbody>
                  </table>
                </td>
                </tr>
                <tr>
                  <td class="TitleCell"><span class="LabelText">Report Name</span></td>
                  <td class="Combo_ContentCell" colspan="2"> 
                     <select name="inpgtrTreeReportId" required="true" class="Combo Combo_TwoCells_width" id="inpgtrTreeReportId">
                       <option value=""><div id="ID_reportNameDropdown"></div></option>
                     </select>
                  </td>
                  <td class="ContentCell"></td>
                  <td class="TitleCell"></td>
                  <td class="ContentCell"></td>
                </tr>
 		 </table>
                </td>
              </tr>
              </table>
              </td>
            </tr>
          </table>
        </div>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="Menu_ContentPane_Bottom" id="tdbottomSeparator">
          <tr>
            <td class="Main_Bottom_bg"><img src="../../../../../web/images/blank.gif" border="0"></td>
          </tr>
        </table></td>
      <td valign="top">
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="Main_ContentPane_Right" id="tdrightSeparator">
          <tr><td class="Main_NavBar_bg_right"></td></tr>
          <tr><td class="Main_ToolBar_bg_right" valign="top"></td></tr>
          <tr><td class="Main_Client_bg_right"></td></tr>
          <tr><td class="Main_Bottom_bg_right"></td></tr>
        </table>
      </td>
    </tr>
  </table>
</form>
</body>
</html>
